;;;  Loads files for the TO and UA planners
;;;  Author:  Andy Philips (supervised by S. Minton)
;;;  Created: Mon Oct 28 10:47:36 1991

;    THIS SOURCE CODE IS SUPPLIED  ``AS IS'' WITHOUT WARRANTY OF ANY KIND, 
;    AND ITS AUTHOR AND THE JOURNAL OF ARTIFICIAL INTELLIGENCE RESEARCH 
;    (JAIR) AND JAIR'S PUBLISHERS AND DISTRIBUTORS, DISCLAIM ANY AND ALL 
;    WARRANTIES, INCLUDING BUT NOT LIMITED TO ANY IMPLIED
;    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND
;    ANY WARRANTIES OR NON INFRINGEMENT.  THE USER ASSUMES ALL LIABILITY AND
;    RESPONSIBILITY FOR USE OF THIS SOURCE CODE, AND NEITHER THE AUTHOR NOR
;    JAIR, NOR JAIR'S PUBLISHERS AND DISTRIBUTORS, WILL BE LIABLE FOR 
;    DAMAGES OF ANY KIND RESULTING FROM ITS USE.  Without limiting the 
;    generality of the foregoing, neither the author, nor JAIR, nor JAIR's
;    publishers and distributors, warrant that the Source Code will be 
;    error-free, will operate without interruption, or will meet the needs 
;    of the user.




; RESET THIS to the name of the directory you have this file in.
(setf *TORPOR-DIR* "~minton/papers/torpor/dist-code/")


(dolist (file '("Common/random" "Common/definitions" "Common/circular"
		"Common/workhorse" "Common/select" 
		"Common/graphics"
		"Common/misc" "Common/testing"
		"Planners/engine-TO"  "Planners/planner-TO"
		"Planners/shotgun-TO" "Planners/iter-broad-TO"
		"Planners/engine-UA"  "Planners/planner-UA"
		"Planners/shotgun-UA" "Planners/iter-broad-UA"
		"Planners/tw-planner" "Problems/problems"))
  (load (format nil "~A~A" *TORPOR-DIR* file)))


(defun load-restricted-ops nil
  "Blocksworld operators.  Blocks must be taken from or placed on table."
  (load (format nil "~A~A" *TORPOR-DIR* "Problems/ops-restrict.lisp")))


(defun load-full-set-ops nil
  "Blocksworld operators.  Blocks can be moved from anywhere, block or table."
  (load (format nil "~A~A" *TORPOR-DIR* "Problems/ops-full-set.lisp")))


(defun load-tw-ops nil
  "TileWorld operators"
  (load (format nil "~A~A" *TORPOR-DIR* "Problems/tw-ops.lisp")))


(defun load-sw-ops nil
  "STRIPSWORLD operators"
  (load (format nil "~A~A" *TORPOR-DIR* "Problems/sw-ops.lisp")))

(defun get-problem-file (file)
  (load (format nil "~AProblems/~A" *TORPOR-DIR* file)))